using System.Collections.Generic;
using Microsoft.AspNetCore.Identity;

namespace ELTE.TravelAgency.Web.Models
{
	/// <summary>
	/// Vendg.
	/// </summary>
	public class Guest : IdentityUser<int>
    {
        public Guest()
        {
            Rents = new HashSet<Rent>();
        }

		/* A korbban definilt tulajdonsgok kzl az IdentityUser<T> tartalmazza:
		 * T Id
		 * string UserName
		 * string PasswordHash (UserPassword helyett)
		 * string Email
		 * string PhoneNumber
		 * string SecurityStamp (UserChallenge helyett)
		 */

	    /// <summary>
	    /// Teljes nv.
	    /// </summary>
		public string Name { get; set; }

	    /// <summary>
	    /// Cm.
	    /// </summary>
		public string Address { get; set; }


		/// <summary>
		/// Foglalsok.
		/// </summary>
		public ICollection<Rent> Rents { get; set; }
    }
}
